Bug 971265 - Duplicate message when threaddump application
Summary: Duplicate message when threaddump application
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
(Show other bugs)
Version: 2.x
Hardware: Unspecified Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Dan McPherson
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 07:10 UTC by Wei Sun
Modified: 2015-05-15 00:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 22:54:28 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wei Sun 2013-06-06 07:10:12 UTC
Description of problem:
Thread dump the app via RESTAPI,but it returns duplicate messages:
The thread dump file will be available via: rhc tail eapt -f /tmp/jbosseap.log -o '-n 250'

Version-Release number of selected component (if applicable):
devenv_3324

How reproducible:
Always

Steps to Reproduce:
1.Create jboss/ruby app
2.Thread dump the app via RESTAPI
3.

Actual results:
<messages>
    <message>
      <severity>info</severity>
      <text>Success
The thread dump file will be available via: rhc tail eapt -f /tmp/jbosseap.log -o '-n 250'</text>
      <exit-code nil="true"></exit-code>
      <field nil="true"></field>
    </message>
    <message>
      <severity>result</severity>
      <text>Success
The thread dump file will be available via: rhc tail eapt -f /tmp/jbosseap.log -o '-n 250'
</text>
      <exit-code nil="true"></exit-code>
      <field nil="true"></field>
    </message>
  </messages>


Expected results:
Don't have duplicate messages

Additional info:

Comment 1 Dan McPherson 2013-07-23 19:09:39 UTC
https://github.com/openshift/origin-server/pull/3145

Comment 3 Wei Sun 2013-07-24 06:23:15 UTC
Verified on devenv_3545

Result:
 <messages>
    <message>
      <severity>info</severity>
      <text></text>
      <exit-code>0</exit-code>
      <field nil="true"></field>
    </message>
    <message>
      <severity>result</severity>
      <text>Success
The thread dump file will be available via: rhc tail eapt -f /tmp/jbosseap.log -o '-n 250'
</text>
      <exit-code>0</exit-code>
      <field nil="true"></field>
    </message>
  </messages>


Note You need to log in before you can comment on or make changes to this bug.